#!/bin/sh
if [ -z "$1" ]; then
    echo "Usage: $(basename $0) IMAGE"
    exit 1
fi

qemu-system-arm \
    -M beaglexm \
    -drive if=sd,cache=writeback,snapshot=on,file=$1 \
    -snapshot \
    -clock unix \
    -usb \
    -device usb-kbd \
    -device usb-mouse \
    -device usb-net,netdev=mynet \
    -netdev user,id=mynet \
    -nographic
